petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDTBinomialInt

Compute the binomial coefficient "n choose k"

### Input Arguments

| n | - a non-negative integer
| k | - an integer between 0 and n, inclusive

### Output Arguments

binomial -the binomial coefficient n choose k

Note: this is limited by integers that can be represented by PetscInt

### Level

beginner

### Location

src/dm/dt/fe/../../../../include/petscdt.h
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages